#ifndef WIDGET_H
#define WIDGET_H

#include <QErrorMessage>
#include <QWidget>
#include <QWizard>

namespace Ui {
class Widget;
}

class Widget : public QWidget {
  Q_OBJECT

public:
  explicit Widget(QWidget *parent = 0);
  ~Widget();

private:
  QWizardPage *createPage1();
  QWizardPage *createPage2();
  QWizardPage *createPage3();

private slots:
  void on_pushButton_clicked();

  void on_pushButton_5_clicked();

  void on_pushButton_2_clicked();

  void on_pushButton_6_clicked();

private:
  Ui::Widget *ui;
  QErrorMessage *errorDlg;
};

#endif // WIDGET_H
