#include <reg52.h>
#include <intrins.h>
#include "delay.h"

unsigned long int count = 0;
unsigned char var = 0xFF;
#define RELOAD (65535-46080)
int TH, TL;
unsigned char enable = 0;



void setConfig()
{
  TH = RELOAD / 256;
  TL = RELOAD - (RELOAD / 256) * 256;
  TH0 = TH;
  TL0 = TL;

  TMOD = 0x01; //ʹöʱT04λȫΪ0,4λGATE=0C/T=0ùʽ1M1=0,M1=1

  TR0 = 1; //ʱ0
  EA = 1; //жܿ
  ET0 = 1; //򿪶ʱ0жϿ

  P1 = 0X00;
}

void pulse() interrupt 1
{

  TH0 = TH;
  TL0 = TL0 + TL;
  TL0 = TL0 + 23;

  enable = 1;
  count++;
}

void ifLight()
{
  if(enable)
    {
      int time;
      for(time = 1; time < 9; time++) //ʱƥ
        {

          if(count % (20 * time) == 0) //Ƿ
            {

              int i = 1;
              i = i << (time - 1);
              var = var ^ i;
              P1 = var;
            }
        }

      enable = 0;
    }
}


int main()
{
//P1 
  setConfig();
  while(1)
    {
      ifLight();
    }
}
